# IGListStackedSectionController

    @interface IGListStackedSectionController
        : IGListSectionController <IGListSectionType>

An instance of `IGListStackedSectionController` is a clustered section controller, composed of many child section controllers. It constructs and routes item-level indexes to the appropriate child section controller with a local index. This lets you build section controllers made up of individual units that can be shared and reused with other section controllers.

For example, you can create a Comments section controller that displays lists of text that is used alongside photo, video, or slideshow section controllers. You then have four small and manageable section controllers instead of one huge class.

- `-initWithSectionControllers:`

  Creates a new stacked section controller.

  Note

  The order of the section controllers dictates the order in which they appear.

  Warning

  The first section controller that is the supplementary source decides which supplementary views get displayed.

  #### Declaration

  Objective-C

      - (instancetype)initWithSectionControllers:
          (NSArray<IGListSectionController<IGListSectionType> *> *)sectionControllers;

  Swift

      init!(sectionControllers: Any!)

  #### Parameters

  `sectionControllers` | An array of section controllers that make up the stack.

© 2017 Instagram. All rights reserved. (Last updated: 2017-01-04)

Generated by jazzy ♪♫ v0.7.3, a Realm project.